<?php

namespace App\Modules\Admin\Services;

use App\Modules\Admin\Repositories\AdminRepository;

class AdminService
{
    private AdminRepository $repository;

    public function __construct()
    {
        $this->repository = new AdminRepository();
    }

    public function getDashboardStats(): array
    {
        return $this->repository->dashboardStats();
    }

    public function getUsers(): array
    {
        return $this->repository->users();
    }

    public function getRides(): array
    {
        return $this->repository->rides();
    }
    public function getPendingDriverVerifications(): array
    {
        return $this->repository->pendingDriverVerifications();
    }
}